> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.wealthatlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.wealthatlas.com/_mcp/server.

# Submit person records for enhancement

POST https://api.wealthatlas.com/v1/partners/enhancements
Content-Type: application/json

Submit a list of person records to enhance with WealthAtlas data. **Maximum: 100 person records per request.** For larger batches, split them into multiple requests.

**Cost: 1 credit per person.**

Reference: https://developer.wealthatlas.com/api-reference/enhance/submit-enhancements

## Authentication

- `x-api-key` header (required) — Your WealthAtlas API key. Contact support@wealthatlas.com to get started.

## Request

### Body (application/json)

This endpoint expects an EnhancementsRequest.

- `persons` (list of InputPerson, required) — The person records to enhance

## Response

### 202

Successful Response

- `enhancements` (map from string to string, required) — A mapping from your tracking IDs to WealthAtlas enhancement IDs
- `meta` (Metadata, required) — Metadata about the request

## Errors

### 402 Payment Required Error

Out of credits in the bucket this endpoint charges (buckets are strictly isolated)

- `error` (string, required)
- `message` (string, required)
- `bucket` (string, required) — The credit bucket that was exhausted
- `available_credits` (integer, required)

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### InputPerson

Information about a person to enhance with WealthAtlas data

- `name` (PersonName, required) — The name of the person
- `tracking_id` (string, optional, nullable) — Optional unique identifier for tracking this request in your system
- `addresses` (list of InputPersonAddressesItems, optional, nullable)
- `emails` (list of string, optional, nullable) — Email addresses of the person
- `phones` (list of string, optional, nullable) — Phone numbers of the person
- `employers` (list of string, optional, nullable) — Employers of the person
- `occupations` (list of string, optional, nullable) — Occupations of the person
- `schools` (list of string, optional, nullable) — Schools attended by the person

### Metadata

- `requested` (integer, required) — The number of persons requested
- `processed` (integer, required) — The number of persons processed
- `partial` (boolean, required) — Whether only some of the persons were processed
- `partial_reason` (string, optional, nullable) — The reason only some of the persons were processed

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### PersonName

- `first` (string, required)
- `last` (string, required)
- `title` (string, optional, nullable)
- `middle` (string, optional, nullable)
- `suffix` (string, optional, nullable)

### InputPersonAddressesItems

- Address: Address
- string

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

### Address

- `street_address` (string, optional, nullable)
- `street_address_line_2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `zip` (string, optional, nullable)

## Examples

**Request**

```json
{
  "persons": [
    {
      "name": {
        "first": "John",
        "last": "Smith",
        "middle": "A"
      },
      "tracking_id": "person_12345",
      "addresses": [
        "123 Main St, Boston, MA 02101"
      ],
      "emails": [
        "john.smith@example.com"
      ],
      "phones": [
        "5551234567"
      ],
      "employers": [
        "Acme Corporation"
      ],
      "schools": [
        "Harvard University"
      ]
    }
  ]
}
```

**Response**

```json
{
  "enhancements": {
    "contact_12345": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
  },
  "meta": {
    "requested": 10,
    "processed": 10,
    "partial": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.wealthatlas.com/v1/partners/enhancements"

payload = { "persons": [
        {
            "name": {
                "first": "John",
                "last": "Smith",
                "middle": "A"
            },
            "tracking_id": "person_12345",
            "addresses": ["123 Main St, Boston, MA 02101"],
            "emails": ["john.smith@example.com"],
            "phones": ["5551234567"],
            "employers": ["Acme Corporation"],
            "schools": ["Harvard University"]
        }
    ] }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.wealthatlas.com/v1/partners/enhancements';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"persons":[{"name":{"first":"John","last":"Smith","middle":"A"},"tracking_id":"person_12345","addresses":["123 Main St, Boston, MA 02101"],"emails":["john.smith@example.com"],"phones":["5551234567"],"employers":["Acme Corporation"],"schools":["Harvard University"]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wealthatlas.com/v1/partners/enhancements"

	payload := strings.NewReader("{\n  \"persons\": [\n    {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"A\"\n      },\n      \"tracking_id\": \"person_12345\",\n      \"addresses\": [\n        \"123 Main St, Boston, MA 02101\"\n      ],\n      \"emails\": [\n        \"john.smith@example.com\"\n      ],\n      \"phones\": [\n        \"5551234567\"\n      ],\n      \"employers\": [\n        \"Acme Corporation\"\n      ],\n      \"schools\": [\n        \"Harvard University\"\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.wealthatlas.com/v1/partners/enhancements")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"persons\": [\n    {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"A\"\n      },\n      \"tracking_id\": \"person_12345\",\n      \"addresses\": [\n        \"123 Main St, Boston, MA 02101\"\n      ],\n      \"emails\": [\n        \"john.smith@example.com\"\n      ],\n      \"phones\": [\n        \"5551234567\"\n      ],\n      \"employers\": [\n        \"Acme Corporation\"\n      ],\n      \"schools\": [\n        \"Harvard University\"\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.wealthatlas.com/v1/partners/enhancements")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"persons\": [\n    {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"A\"\n      },\n      \"tracking_id\": \"person_12345\",\n      \"addresses\": [\n        \"123 Main St, Boston, MA 02101\"\n      ],\n      \"emails\": [\n        \"john.smith@example.com\"\n      ],\n      \"phones\": [\n        \"5551234567\"\n      ],\n      \"employers\": [\n        \"Acme Corporation\"\n      ],\n      \"schools\": [\n        \"Harvard University\"\n      ]\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.wealthatlas.com/v1/partners/enhancements', [
  'body' => '{
  "persons": [
    {
      "name": {
        "first": "John",
        "last": "Smith",
        "middle": "A"
      },
      "tracking_id": "person_12345",
      "addresses": [
        "123 Main St, Boston, MA 02101"
      ],
      "emails": [
        "john.smith@example.com"
      ],
      "phones": [
        "5551234567"
      ],
      "employers": [
        "Acme Corporation"
      ],
      "schools": [
        "Harvard University"
      ]
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.wealthatlas.com/v1/partners/enhancements");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"persons\": [\n    {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"A\"\n      },\n      \"tracking_id\": \"person_12345\",\n      \"addresses\": [\n        \"123 Main St, Boston, MA 02101\"\n      ],\n      \"emails\": [\n        \"john.smith@example.com\"\n      ],\n      \"phones\": [\n        \"5551234567\"\n      ],\n      \"employers\": [\n        \"Acme Corporation\"\n      ],\n      \"schools\": [\n        \"Harvard University\"\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["persons": [
    [
      "name": [
        "first": "John",
        "last": "Smith",
        "middle": "A"
      ],
      "tracking_id": "person_12345",
      "addresses": ["123 Main St, Boston, MA 02101"],
      "emails": ["john.smith@example.com"],
      "phones": ["5551234567"],
      "employers": ["Acme Corporation"],
      "schools": ["Harvard University"]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wealthatlas.com/v1/partners/enhancements")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```